Move netmap selinfo.h in to sensible location
ClosedPublic

Authored by sbruno on Feb 18 2016, 10:13 PM.

Details

Summary

netmap_kern.h currently requires all drivers including it to include selinfo.h - this makes no sense

Test Plan

none needed

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
kmacy updated this revision to Diff 13445.Feb 18 2016, 10:13 PM
kmacy retitled this revision from to Move netmap selinfo.h in to sensible location.
kmacy updated this object.
kmacy edited the test plan for this revision. (Show Details)
kmacy added a reviewer: gallatin.
kmacy set the repository for this revision to rS FreeBSD src repository.
kmacy added subscribers: benno, scottl.
kbowling added a subscriber: kbowling.
gnn accepted this revision.Oct 5 2016, 8:50 PM
gnn edited edge metadata.
This revision is now accepted and ready to land.Oct 5 2016, 8:50 PM
sbruno commandeered this revision.Oct 6 2016, 5:36 PM
sbruno added a reviewer: kmacy.
This revision was automatically updated to reflect the committed changes.